Connect Wallet

Connect a wallet via a public address to a portfolio. API details secluded for security reasons. Please contact your account manager.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Payload

{
    "addWallet": {
        "type": 2,
        "is_contract_address": 0,
        "isUASAllowed": false,
        "syncTransactions": true,
        "advancedMode": false,
        "enabledCustomDate": false,
        "enabled_custom_date_sync": 1,
        "customDate": null,
        "syncSpecificContracts": false,
        "specificContracts": [],
        "is_advanced_sync": 0,
        "address": "0x94845333028B1204Fbe14E1278Fd4Adde46B22ce",
        "name": "Wallet Name",
        "type_id": 2,
        "amount": 3.6795127932917837
    },
    "subTokensInWallet": null,
    "portfolioId": 1,
    "createAddressBookInfo": true,
    "syncTransactions": true,
    "advancedMode": false,
}
Body Params
addWallet
object
required

Object containing wallet configuration details.

subTokensInWallet
array of strings
required

Optional list of sub-token balances (if applicable).

subTokensInWallet*
string
required

ID of the portfolio where the wallet is added.

boolean
required

Boolean to create address book entry for this wallet.

boolean
required

Boolean to trigger global sync after wallet creation.

boolean
required

Boolean enabling advanced settings at request level.

Headers
string

Pass your API KEY here

integer

Pass your portfolio ID

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain